//
//  DocHubMenu.swift
//  DocHub
//
//  Created by Tristan Juricek on 6/12/14.
//  Copyright (c) 2014 Perforce. All rights reserved.
//

import Foundation
import AppKit

class DocHubMenu : NSMenu {

    let mainItem:NSMenuItem
    let appSubmenu:NSMenu
    let quitItem:NSMenuItem

    init() {
        mainItem = NSMenuItem(title: "mainItem",
                              action: nil,
                              keyEquivalent: "")

        appSubmenu = NSMenu(title: "appSubmenu")
        mainItem.submenu = appSubmenu

        quitItem = NSMenuItem(title: NSLocalizedString("Quit", comment: "Quit"),
            action: "terminate:", keyEquivalent: "q")
        appSubmenu.addItem(quitItem)
        
        super.init(title: "Main Menu")
        addItem(mainItem)
    }
}